> ## Documentation Index
> Fetch the complete documentation index at: https://doc.raliopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List merchant user accounts

> Get a list of all accounts for the merchant user



## OpenAPI

````yaml get /api/v1/merchant/user/accounts
openapi: 3.0.1
info:
  title: RALIO API
  description: Banking as a service API.
  contact:
    name: Tropipay Support
    url: https://help.tropipay.com/contacto/
    email: support@tropipay.com
  version: '1.0'
servers:
  - url: https://sandbox-revo-api.raliopay.com/
security: []
paths:
  /api/v1/merchant/user/accounts:
    get:
      tags:
        - merchant-user-accounts
      summary: List merchant user accounts
      description: Get a list of all accounts for the merchant user
      parameters:
        - name: sort
          in: query
          description: >-
            Sort fields (prefix with - for desc):
            alias,balance,pendingIn,pendingOut. Example: sort=alias,-balance
          schema:
            type: string
        - name: filter
          in: query
          description: >-
            Multiple filters can be applied with field_operator=value format.
            Fields: alias,balance,currency,pendingIn,pendingOut,purpose,state.
            Operators: eq (equals), neq (not equals), gt/lt (greater/less than),
            gte/lte (greater/less or equal), like/ilike (case
            sensitive/insensitive contains). Examples:
            state_eq=ACTIVE&currency_eq=EUR&purpose_eq=OPERATIONAL
          schema:
            type: string
        - name: search
          in: query
          description: Search accounts by id, alias or currency
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/dto.MerchantAccountResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    dto.MerchantAccountResponse:
      type: object
      properties:
        alias:
          type: string
        balance:
          type: integer
        currency:
          type: string
        id:
          type: string
        pendingIn:
          type: integer
        pendingOut:
          type: integer
        purpose:
          type: string
        state:
          type: string
        userId:
          type: string
    httperror.ErrResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/httperror.ErrorData'
    httperror.ErrorData:
      type: object
      properties:
        code:
          $ref: '#/components/schemas/httperror.ErrorCode'
        details:
          type: array
          items:
            $ref: '#/components/schemas/httperror.ErrorDetails'
        message:
          type: string
        type:
          $ref: '#/components/schemas/httperror.ErrorType'
    httperror.ErrorCode:
      type: string
      enum:
        - INVALID_REQUEST
        - UNAUTHORIZED
        - FORBIDDEN
        - NOT_FOUND
        - INTERNAL_SERVER_ERROR
        - UNKNOWN_ERROR
        - NOT_IMPLEMENTED
        - TOO_MANY_REQUESTS
        - QUOTE_EXPIRED
      x-enum-varnames:
        - InvalidRequestCode
        - UnauthorizedCode
        - ForbiddenCode
        - NotFoundCode
        - InternalServerCode
        - UnknownErrorCode
        - NotImplementedCode
        - TooManyRequestsCode
        - QuoteExpiredCode
    httperror.ErrorDetails:
      type: object
      properties:
        field:
          type: string
        message:
          type: string
    httperror.ErrorType:
      type: string
      enum:
        - VALIDATION_ERROR
        - CONFLICT_ERROR
        - UNPROCESSABLE_ERROR
        - AUTHENTICATION_ERROR
        - AUTHORIZATION_ERROR
        - NOT_FOUND_ERROR
        - INTERNAL_ERROR
        - NOT_IMPLEMENTED_ERROR
        - UNKNOWN_ERROR
        - RATE_LIMIT_ERROR
      x-enum-varnames:
        - ValidationError
        - ConflictError
        - UnprocessableError
        - AuthenticationError
        - AuthorizationError
        - NotFoundError
        - InternalError
        - NotImplementedError
        - UnknownError
        - RateLimitError
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: API Key for accessing management endpoints
      x-mint-auth-type: bearer

````